Skip to main content
GET
/
v0
/
aggregations
/
tag-groups
Retrieve the tag groups for a company or an organisation in aggregated format
curl --request GET \
  --url https://external.pleo.io/v0/aggregations/tag-groups \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "archived": false,
      "code": "5524f270-6c21-11ee-b962-0242ac120002",
      "companyId": "c04c7e9e-6c15-11ee-b962-0242ac120003",
      "createdAt": "2023-08-23T03:11:48Z",
      "dimensions": [
        {
          "code": "5524f270-6c21-11ee-b962-0242ac120002",
          "createdAt": "2023-08-23T03:11:48Z",
          "displayOrder": 123,
          "id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
          "name": "Project",
          "updatedAt": "2023-08-23T03:11:48Z",
          "visible": false
        }
      ],
      "id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
      "name": "Projects",
      "updatedAt": "2023-08-23T03:11:48Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

company_id
string<uuid>

Enter the company ID whose tag groups you are searching for. Required if organization_id is not provided. If you enter both company_id and organization_id, the company_id is used to filter the tag groups.

organization_id
string<uuid>

Enter the organization ID whose tag groups you are searching for. Required if company_id is not provided. If you enter both company_id and organization_id, the company_id is used to filter the tag groups.

tag_group_ids
string<uuid>[]

Enter the list of tag groups IDs that you are searching for.

Enter the list of tag groups IDs that you are searching for.

Response

default - application/json;charset=UTF-8

default response

data
object[]
required